> For the complete documentation index, see [llms.txt](https://docs.wisej.com/hybrid/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/hybrid/start/api/location/wisej.hybrid.shared.geolocation.placemark.md).

# Placemark

Namespace: **Wisej.Hybrid.Shared.Geolocation**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Represents a user-friendly description of a geographic coordinate. This contains information such as the name of the place, its address, and other information.

{% tabs %}
{% tab title="C#" %}

```csharp
public class Placemark
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class Placemark
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)Placemark()

Initializes a new instance of the [Placemark](/hybrid/start/api/location/wisej.hybrid.shared.geolocation.placemark.md) class.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Placemark(placemark)

Initializes a new instance of the [Placemark](/hybrid/start/api/location/wisej.hybrid.shared.geolocation.placemark.md) class.

| Name          | Type                                                                                 | Description                                                                                                                                        |
| ------------- | ------------------------------------------------------------------------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------- |
| **placemark** | [Placemark](/hybrid/start/api/location/wisej.hybrid.shared.geolocation.placemark.md) | An instance of [Placemark](/hybrid/start/api/location/wisej.hybrid.shared.geolocation.placemark.md) that will be used to clone into this instance. |

**Throws:**

* [ArgumentNullException](https://docs.microsoft.com/dotnet/api/system.argumentnullexception) Thrown when *placemark* is .

## Properties

### ![](/files/CCV9PPenlC1YZvNh1I6R)AdminArea

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets the administrative area name of the address, for example, "CA", or if it is unknown.

### ![](/files/CCV9PPenlC1YZvNh1I6R)CountryCode

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets the country ISO standard code.

### ![](/files/CCV9PPenlC1YZvNh1I6R)CountryName

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets the country name.

### ![](/files/CCV9PPenlC1YZvNh1I6R)FeatureName

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets the feature name.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Locality

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets the city or town.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Location

[Location](/hybrid/start/api/location/wisej.hybrid.shared.geolocation.location.md): Gets or sets the location of the placemark.

### ![](/files/CCV9PPenlC1YZvNh1I6R)PostalCode

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets the postal code.

### ![](/files/CCV9PPenlC1YZvNh1I6R)SubAdminArea

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets the sub-administrative area name of the address, for example, "Santa Clara County", or if it is unknown.

### ![](/files/CCV9PPenlC1YZvNh1I6R)SubLocality

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets the sub locality.

### ![](/files/CCV9PPenlC1YZvNh1I6R)SubThoroughfare

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets optional info: sub street or region.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Thoroughfare

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets the street name.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/location/wisej.hybrid.shared.geolocation.placemark.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
